using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace de.WWWings.Workflow
{
	public partial class Buchungsworkflow_XAML : SequentialWorkflowActivity
	{
  public static DependencyProperty FlugDatenProperty = DependencyProperty.Register("FlugDaten", typeof(de.WWWings.Workflow.FlugDaten), typeof(de.WWWings.Workflow.Buchungsworkflow_XAML));

  [DesignerSerializationVisibilityAttribute(DesignerSerializationVisibility.Visible)]
  [BrowsableAttribute(true)]
  [CategoryAttribute("Parameters")]
  public FlugDaten FlugDaten
  {
   get
   {
    return ((de.WWWings.Workflow.FlugDaten)(base.GetValue(de.WWWings.Workflow.Buchungsworkflow_XAML.FlugDatenProperty)));
   }
   set
   {
    base.SetValue(de.WWWings.Workflow.Buchungsworkflow_XAML.FlugDatenProperty, value);
   }
  }

  private void codeActivity1_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine("Start");
  }

  private void codeActivity2_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine("Personendaten ");
  }

  private void WarteAufFlugdaten_Invoked(object sender, ExternalDataEventArgs e)
  {

  }

  private void codeActivity3_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine("Flugdaten");
  }

  private void codeActivity4_ExecuteCode(object sender, EventArgs e)
  {
   Console.WriteLine("Zahlungsdaten/ENDE");
  }

  private void personenDaten_Bereit1_Invoked(object sender, ExternalDataEventArgs e)
  {

  }
 }
}
